rte_eth_xstat_name(3)

NAME
rte_eth_xstat_name

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

char name [RTE_ETH_XSTATS_NAME_SIZE]

Detailed Description

A name element for extended statistics.

An array of this structure is returned by rte_eth_xstats_get_names(). It lists the names of extended statistics for a PMD. The rte_eth_xstat structure references these names by their array index.

The xstats should follow a common naming scheme. Some names are standardized in rte_stats_strings. Examples:

•   rx_missed_errors

•   tx_q3_bytes

•   tx_size_128_to_255_packets

Definition at line 1995 of file rte_ethdev.h.

Field Documentation

  char name[RTE_ETH_XSTATS_NAME_SIZE]
The statistic name.

Definition at line 1996 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.